Debian Bug report logs - #418234
hier(7) out of date

version graph

Package: manpages; Maintainer for manpages is Martin Schulze <joey@debian.org>; Source for manpages is src:manpages.

Reported by: Joey Hess <joeyh@debian.org>

Date: Sun, 8 Apr 2007 10:21:05 UTC

Severity: wishlist

Tags: fixed-upstream

Found in version manpages/2.43-0

Fixed in versions manpages/2.44-2, manpages/2.55-1

Done: Martin Schulze <joey@infodrom.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#418234; Package manpages. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
New Bug report received and forwarded. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: hier(7) out of date
Date: Sun, 8 Apr 2007 06:20:28 -0400
[Message part 1 (text/plain, inline)]
Package: manpages
Version: 2.43-0
Severity: normal

hier(7) does not document the current version of the FHS. The first
thing I noticed is that it's missing /media and has the old /doc
pseudo-convention.

-- System Information:
Debian Release: 4.0
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.18-4-686
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)

-- no debconf information

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#418234; Package manpages. Full text and rfc822 format available.

Acknowledgement sent to Joey Schulze <joey@infodrom.org>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #10 received at 418234@bugs.debian.org (full text, mbox):

From: Joey Schulze <joey@infodrom.org>
To: Michael Kerrisk <mtk-manpages@gmx.net>
Cc: Debian Bug Tracking System <418234@bugs.debian.org>
Subject: Re: hier(7) out of date
Date: Wed, 25 Apr 2007 17:04:03 +0200
Joey Hess wrote:
> hier(7) does not document the current version of the FHS. The first
> thing I noticed is that it's missing /media and has the old /doc
> pseudo-convention.

Hi Michael,

what about this patch to reflect /media in FHS 2.3?

Index: man7/hier.7
===================================================================
RCS file: /var/cvs/debian/manpages/man7/hier.7,v
retrieving revision 1.15
diff -u -p -r1.15 hier.7
--- man7/hier.7	17 Aug 2006 10:28:49 -0000	1.15
+++ man7/hier.7	25 Apr 2007 15:01:00 -0000
@@ -91,6 +91,10 @@ depends on local administration decision
 This directory should hold those shared libraries that are necessary
 to boot the system and to run the commands in the root filesystem.
 .TP
+.I /media
+This directory contains mount points for removeable media such as CD
+and DVD disks or USB sticks
+.TP
 .I /mnt
 This directory contains mount points for temporarily mounted filesystems
 .TP

Regards,

	Joey

-- 
Given enough thrust pigs will fly, but it's not necessarily a good idea.

Please always Cc to me when replying to me on the lists.



Severity set to `wishlist' from `normal' Request was from Martin Schulze <joey@infodrom.org> to control@bugs.debian.org. (Wed, 25 Apr 2007 15:12:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#418234; Package manpages. Full text and rfc822 format available.

Acknowledgement sent to Joey Schulze <joey@infodrom.org>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #17 received at 418234@bugs.debian.org (full text, mbox):

From: Joey Schulze <joey@infodrom.org>
To: Joey Hess <joeyh@debian.org>
Cc: Debian Bug Tracking System <418234@bugs.debian.org>
Subject: Re: hier(7) out of date
Date: Wed, 25 Apr 2007 17:05:26 +0200
Joey Hess wrote:
> Package: manpages
> Version: 2.43-0
> Severity: normal
> 
> hier(7) does not document the current version of the FHS. The first
> thing I noticed is that it's missing /media and has the old /doc
> pseudo-convention.

What are you referring to with "has the old /doc pseudo-convention"?

Regards,

	Joey

-- 
Given enough thrust pigs will fly, but it's not necessarily a good idea.

Please always Cc to me when replying to me on the lists.



Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#418234; Package manpages. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #22 received at 418234@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Joey Schulze <joey@infodrom.org>, 418234@bugs.debian.org
Subject: Re: Bug#418234: hier(7) out of date
Date: Wed, 25 Apr 2007 13:52:37 -0400
[Message part 1 (text/plain, inline)]
Joey Schulze wrote:
> Joey Hess wrote:
> > Package: manpages
> > Version: 2.43-0
> > Severity: normal
> > 
> > hier(7) does not document the current version of the FHS. The first
> > thing I noticed is that it's missing /media and has the old /doc
> > pseudo-convention.
> 
> What are you referring to with "has the old /doc pseudo-convention"?

I meant /dos pseudo-convention.

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#418234; Package manpages. Full text and rfc822 format available.

Acknowledgement sent to Martin Schulze <joey@infodrom.org>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #27 received at 418234@bugs.debian.org (full text, mbox):

From: Martin Schulze <joey@infodrom.org>
To: Joey Hess <joeyh@debian.org>
Cc: 418234@bugs.debian.org
Subject: Re: Bug#418234: hier(7) out of date
Date: Fri, 27 Apr 2007 15:15:48 +0200
Joey Hess wrote:
> Joey Schulze wrote:
> > Joey Hess wrote:
> > > Package: manpages
> > > Version: 2.43-0
> > > Severity: normal
> > > 
> > > hier(7) does not document the current version of the FHS. The first
> > > thing I noticed is that it's missing /media and has the old /doc
> > > pseudo-convention.
> > 
> > What are you referring to with "has the old /doc pseudo-convention"?
> 
> I meant /dos pseudo-convention.

Oh, now I understand.

Regards,

	Joey

-- 
In the beginning was the word, and the word was content-type: text/plain

Please always Cc to me when replying to me on the lists.



Reply sent to Martin Schulze <joey@infodrom.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Joey Hess <joeyh@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #32 received at 418234-close@bugs.debian.org (full text, mbox):

From: Martin Schulze <joey@infodrom.org>
To: 418234-close@bugs.debian.org
Subject: Bug#418234: fixed in manpages 2.44-2
Date: Fri, 27 Apr 2007 14:47:05 +0000
Source: manpages
Source-Version: 2.44-2

We believe that the bug you reported is fixed in the latest version of
manpages, which is due to be installed in the Debian FTP archive:

manpages-dev_2.44-2_all.deb
  to pool/main/m/manpages/manpages-dev_2.44-2_all.deb
manpages_2.44-2.diff.gz
  to pool/main/m/manpages/manpages_2.44-2.diff.gz
manpages_2.44-2.dsc
  to pool/main/m/manpages/manpages_2.44-2.dsc
manpages_2.44-2_all.deb
  to pool/main/m/manpages/manpages_2.44-2_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 418234@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Martin Schulze <joey@infodrom.org> (supplier of updated manpages package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri, 27 Apr 2007 15:59:30 +0200
Source: manpages
Binary: manpages manpages-dev
Architecture: source all
Version: 2.44-2
Distribution: unstable
Urgency: low
Maintainer: Martin Schulze <joey@debian.org>
Changed-By: Martin Schulze <joey@infodrom.org>
Description: 
 manpages   - Manual pages about using a GNU/Linux system
 manpages-dev - Manual pages about using GNU/Linux for development
Closes: 409236 410969 418009 418234 418234
Changes: 
 manpages (2.44-2) unstable; urgency=low
 .
   * Document /media as part of FHS 2.3 in hier(7) (closes: Bug#418234)
   * Fixed typo in console_codes(4) (closes: Bug#410969)
   * Unification of console_codes(4) with upstream
   * Removed xdm and libc5 notes in utmp(5) (closes: Bug#418009)
   * Removed old /dos mentioning in hier(7) (closes: Bug#418234)
   * Improvements to undocumented(7) (closes: Bug#409236)
Files: 
 30b340b67f7989857eba5c1361c96ce7 584 doc - manpages_2.44-2.dsc
 c7a1bf91029d29fbb8c4a9996fdb4da9 48351 doc - manpages_2.44-2.diff.gz
 5fbce6946a7bd7bd4cec4e72359b5e33 498504 doc important manpages_2.44-2_all.deb
 ef1329af10b89595a8d486d5a75d7a1b 1235674 doc optional manpages-dev_2.44-2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFGMgaoW5ql+IAeqTIRAsYLAKCOYP7my93UK1Li9DY5D76JkH0uOQCeNEqV
mI90eGBF0Uiq+AYdfsdqIyE=
=PMtL
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#418234; Package manpages. Full text and rfc822 format available.

Acknowledgement sent to Michael Kerrisk <mtk-manpages@gmx.net>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #37 received at 418234@bugs.debian.org (full text, mbox):

From: Michael Kerrisk <mtk-manpages@gmx.net>
To: Joey Hess <joeyh@debian.org>, 418234@bugs.debian.org
Cc: Joey Schulze <joey@infodrom.org>, debc <control@bugs.debian.org>
Subject: Re: Bug#418234: hier(7) out of date
Date: Sun, 27 May 2007 17:29:40 +0200
tags 418234 fixed-upstream
thanks

For 2.55, I will add the description of /media, and removed the description
of /doc.

Cheers,

Michael


Joey Hess wrote:
> Joey Schulze wrote:
>> Joey Hess wrote:
>>> Package: manpages
>>> Version: 2.43-0
>>> Severity: normal
>>>
>>> hier(7) does not document the current version of the FHS. The first
>>> thing I noticed is that it's missing /media and has the old /doc
>>> pseudo-convention.
>> What are you referring to with "has the old /doc pseudo-convention"?
> 
> I meant /dos pseudo-convention.
> 

-- 
Michael Kerrisk
maintainer of Linux man pages Sections 2, 3, 4, 5, and 7

Want to help with man page maintenance?  Grab the latest tarball at
http://www.kernel.org/pub/linux/docs/manpages/
read the HOWTOHELP file and grep the source files for 'FIXME'.




Tags added: fixed-upstream Request was from Michael Kerrisk <mtk-manpages@gmx.net> to control@bugs.debian.org. (Tue, 29 May 2007 06:54:13 GMT) Full text and rfc822 format available.

Reply sent to Martin Schulze <joey@infodrom.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Joey Hess <joeyh@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #44 received at 418234-close@bugs.debian.org (full text, mbox):

From: Martin Schulze <joey@infodrom.org>
To: 418234-close@bugs.debian.org
Subject: Bug#418234: fixed in manpages 2.55-1
Date: Sun, 24 Jun 2007 17:47:03 +0000
Source: manpages
Source-Version: 2.55-1

We believe that the bug you reported is fixed in the latest version of
manpages, which is due to be installed in the Debian FTP archive:

manpages-dev_2.55-1_all.deb
  to pool/main/m/manpages/manpages-dev_2.55-1_all.deb
manpages_2.55-1.diff.gz
  to pool/main/m/manpages/manpages_2.55-1.diff.gz
manpages_2.55-1.dsc
  to pool/main/m/manpages/manpages_2.55-1.dsc
manpages_2.55-1_all.deb
  to pool/main/m/manpages/manpages_2.55-1_all.deb
manpages_2.55.orig.tar.gz
  to pool/main/m/manpages/manpages_2.55.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 418234@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Martin Schulze <joey@infodrom.org> (supplier of updated manpages package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 24 Jun 2007 19:20:11 +0200
Source: manpages
Binary: manpages manpages-dev
Architecture: source all
Version: 2.55-1
Distribution: unstable
Urgency: low
Maintainer: Martin Schulze <joey@debian.org>
Changed-By: Martin Schulze <joey@infodrom.org>
Description: 
 manpages   - Manual pages about using a GNU/Linux system
 manpages-dev - Manual pages about using GNU/Linux for development
Closes: 418009 418234
Changes: 
 manpages (2.55-1) unstable; urgency=low
 .
   * New upstream version
     . Removed outdated note on xdm in utmp(5) (closes: Bug#418009)
     . Add /media, remove /dos in hier(7) (closes: Bug#418234)
Files: 
 5e46e81519963735695d2056bc86179d 584 doc important manpages_2.55-1.dsc
 29459c1175aa2af8edd9f9bb2cf91194 1196101 doc important manpages_2.55.orig.tar.gz
 cc094f6272ade1e722f3e3b749bd9e71 45959 doc important manpages_2.55-1.diff.gz
 680b2372ec5e7f8696ef38eb89568f6e 509618 doc important manpages_2.55-1_all.deb
 1381607f4fa621e4e063c9f2f45724ca 1239834 doc optional manpages-dev_2.55-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFGfqouW5ql+IAeqTIRApB+AKCFt5zOgYPR85Fsx3A5GWMUrhOZfgCeI5ne
0Y8In9Lfgq0ygJrKufG+XbY=
=Z3An
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 24 Jul 2007 07:30:05 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 21:27:28 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.